%define name glade-perl
%define version 0.59
%define release 1mdk

Summary: Perl module to generate Gtk-Perl apps from a Glade file.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: Development/Perl
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Glade-Perl will read a Glade-Interface XML file, build the UI and/or
write the perl source to create the UI later and handle signals.
It also creates an 'App' and a 'Subclass' that you can edit.

The current version of Glade-Perl is available on CPAN or on the
project website at

   http://www.glade.perl.connectfree.co.uk/

Glade-Perl can generate AUTOLOAD type OO code with subclasses or even
Libglade apps.

%prep
%setup -n Glade-Perl-%{version}

%build
if [ $(perl -e 'print index($INC[0],"%{prefix}/lib/perl");') -eq 0 ];then
    # package is to be installed in perl root
    inst_method="makemaker-root"
    CFLAGS=$RPM_OPT_FLAGS perl Makefile.PL PREFIX=%{prefix}
else
    # package must go somewhere else (eg. /opt), so leave off the perl
    # versioning to ease integration with automatic profile generation scripts
    # if this is really a perl-version dependant package you should not omiss
    # the version info...
    inst_method="makemaker-site"
    CFLAGS=$RPM_OPT_FLAGS perl Makefile.PL PREFIX=%{prefix} LIB=%{prefix}/lib/perl5
fi
 
echo $inst_method > inst_method
 
# get number of processors for parallel builds on SMP systems
numprocs=`cat /proc/cpuinfo | grep processor | wc | cut -c7`
if [ "x$numprocs" = "x" -o "x$numprocs" = "x0" ]; then
  numprocs=1
fi
 
make "MAKE=make -j$numprocs"


%install
rm -rf $RPM_BUILD_ROOT
 
if [ "$(cat inst_method)" = "makemaker-root" ];then
   make UNINST=1 PREFIX=$RPM_BUILD_ROOT%{prefix} install
elif [ "$(cat inst_method)" = "makemaker-site" ];then
   make UNINST=1 PREFIX=$RPM_BUILD_ROOT%{prefix} LIB=$RPM_BUILD_ROOT%{prefix}/lib/perl5 install
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Documentation/*
%{_bindir}/*
%{_libdir}/perl5/man/*/*
%{perl_sitearch}/../Glade
%{perl_sitearch}/auto/Glade

%changelog
* Wed Aug  8 2001 Vincent Saugey <vince@mandrakesoft.com> 0.59-1mdk
- First mdk release

* Fri Jun 22 2001 Dermot Musgrove <dermot@glade.perl.connectfree.co.uk>
  Simplified for pure Perl use
 
* Tue Apr 09 2001 Dermot Musgrove <dermot@glade.perl.connectfree.co.uk>
  Edited from George.spec by Frank de Lange <frank@unternet.org>
